=== debian/changelog ===
hkgerman (1:2-37) unstable; urgency=medium

  * 13_Atomzertruemmerung: Fix typo in Atomzertrümmerung (Closes: #971646).
  * Fix some DEP-3 headers in patches.
  * 14_verbittern: Fix typo in "verbittern" (Closes: #971648).
  * Add more tests for fixed typos.
  * 15_ubuntu1846965: Fix typos in "Bauernbefreiung", "Geisterbewegung",
    "Herabsetzung" (Fixes LP 1846965).
  * Update standards version to 4.5.1, no changes needed.
  * Use utf-8 instead of iso-8859-1 for ispell/myspell dictionaries.
  * Stay with 8bit iso-8859-1 for aspell internally for performance.
  * Add tests for ispell with utf8 charset.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 02 Dec 2020 14:30:39 +0100

hkgerman (1:2-36) unstable; urgency=medium

  * Update lintian overrides (quotes added).
  * Update standards version to 4.5.0, no changes needed.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * Update debian/watch to version=4.
  * wogerman: change info-wordlist to utf-8, since wordlist is already
    utf-8.  Recode special chars to utf-8.
  * Update debhelper to v13.
  * Add "Forwarded: no upstream available" to all patches.
  * Update hk2-buglist source and convert it to utf-8.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 30 Aug 2020 13:02:04 +0200

hkgerman (1:2-35) unstable; urgency=medium

  * Add buildlog to gitlab-ci test pipeline.
  * Use installdeb-hunspell instead of installdeb-myspell.
  * Add myspell-de-de-1901.info-hunspell.
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.
  * d/gitlab-ci.yml stripped down using pipline-jobs.yml

 -- Roland Rosenfeld <roland@debian.org>  Fri, 01 Feb 2019 21:59:25 +0100

hkgerman (1:2-34) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Avoid duplicate trap execution in debian/tests.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Roland Rosenfeld ]
  * d/tests: Fix leftover ADTTMP.
  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Upgrade to Standards-Version 4.3.0 (Declare Rules-Requires-Root: no).
  * d/rules: install files with user rights to allow R-R-R: no.
  * Update debhelper to v12.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 04 Jan 2019 12:44:12 +0100

hkgerman (1:2-33) unstable; urgency=medium

  * Point upstream source location to a mirror in copyright and watch.
  * Update to Standards-Version 4.1.3 (no changes).
  * Update debhelper from v9 to v11.
  * Mark myspell-de-de-1901 to Multi-Arch: foreign.
  * Add Vcs headers pointing to salsa.debian.org.
  * Add some autopkgtests.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 16 Feb 2018 22:22:43 +0100

hkgerman (1:2-32) unstable; urgency=medium

  * Remove wogerman.copyright and use global copyright instead.
  * 12_Fahrschule: Add singular "Fahrschule" to dictionary.
  * Drop transitional packages aspell-de-alt and myspell-de-de-oldspell.
  * Move all packages to Section: localization.
  * Replace Priority "extra" with "optional".
  * Update to Standards version 4.1.1: change copyright-format to https.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 03 Nov 2017 16:04:10 +0100

hkgerman (1:2-31) unstable; urgency=medium

  * Add -p to QUILT_DIFF_OPTS.
  * Remove trailing whitespaces from patches.
  * 10_aspell: use grep -a to avoid problems with grep 2.23, which doesn't
    accept latin1 chars on C locale.
  * Run wrap-and-sort.
  * Upgrade to Standards-Version 3.9.8 (no changes).
  * Change debian/copyright to copyright-format 1.0.
  * Add original ftp server to debian/watch.
  * Install myspell dictionary as de_DE-1901 and stop conflicting other
    de_DE dictionaries (Closes: #663176).
  * Rename myspell-de-de-oldspell to myspell-de-de-1901 (Closes: #335850).
  * Update package descriptions.
  * Remove aspell-de-alt.postrm, because it is empty.
  * Install aspell dictionaries as de_(DE|CH)-1901 and allow using it
    in parallel to 1996 dictionaries (Closes: #470917).
  * Rename aspell-de-alt to aspell-de-1901.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 17 Apr 2016 15:58:55 +0200

hkgerman (1:2-30) unstable; urgency=medium

  * Run wrap-and-sort.
  * Using ispell-autobuildhash:
    - debian/rules: Adapted to use this system
    - debian/control: Changed Architecture from any to all and
      Build-Depends to Build-Depends-Indep.
    - 11_wordlists: Move wordlists from debian/rules to Makefile.
  * Depend on ${misc:Depends} instead of various debconf versions.
  * Add ${perl:Depends} to iogerman and wogerman, since they use perl via
    debconf.
  * Use ${aspell:Depends} for auto generating aspell-de-alt.
  * Switch from classic debhelper to dh.
  * Convert wogerman wordlist from iso-8859-1 to utf-8.
  * Use isowordlist instead of only removing affixes.
  * Update debian/compat to 9.
  * Adapt aspell-de-alt installation to the one of aspell-de.
  * Update aspell-de-alt.info-aspell similar to the one of aspell-de.
  * Remove old junk from aspell-de-alt.post(inst|rm).
  * Remove filter for broken aspell munchlist output.  This is obsolete
    with the current aspell version.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 30 Dec 2015 22:41:46 +0100

hkgerman (1:2-29) unstable; urgency=low

  * Split 2-28.diff into several quilt (3.0) format patches.
  * Upgrade to Standards-Version 3.9.6 (no changes).
  * Set LC_ALL=C in debian/rules, since some sed scripts require unibyte
    charset.
  * Run gzip -n to make build reproducible.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 21 Aug 2015 12:17:51 +0200

hkgerman (1:2-28) unstable; urgency=low

  * Build against a recent dictionaries-common-dev to no
    longer install ancient openoffice snippets for myspell-de-de-oldspell
    package (Closes: #629078).
  * No longer create ancient /usr/share/myspell stuff (Closes: #566805).
  * Thanks to Agustin Martin for providing patches.
  * Add ${misc:Depends} to package dependencies.
  * Add debian/source/format 1.0.
  * Add build-arch/build-indep to debian/rules.
  * Upgrade to Standards-Version 3.9.2 (no changes).

