=== debian/control ===
Source: hkgerman
Section: localization
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: aspell (>> 0.60.3.2-2),
                     dictionaries-common-dev (>= 1.10.5),
                     flex,
                     ispell (>= 3.3.02)
Vcs-Git: https://salsa.debian.org/debian/hkgerman.git
Vcs-Browser: https://salsa.debian.org/debian/hkgerman
Rules-Requires-Root: no

Package: iogerman
Architecture: all
Provides: ispell-dictionary
Depends: ${ispell:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: wogerman
Replaces: igerman
Conflicts: igerman
Description: Traditional German orthography dictionary for ispell
 This is the traditional German dictionary for ispell as put together
 by heinz.knutzen@web.de.
 .
 This dictionary refers to the traditional German orthography
 (de-DE-1901).  For the current orthography (de-DE-1996) see package
 ingerman.

Package: wogerman
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, ${perl:Depends}, ${wordlist:Depends}
Replaces: wgerman
Conflicts: wgerman
Description: Traditional German wordlist
 This is the traditional German wordlist as put together by
 heinz.knutzen@web.de.
 .
 This wordlist refers to the traditional German orthography
 (de-DE-1901).  For the current orthography (de-DE-1996) see package
 wngerman.

Package: myspell-de-de-1901
Architecture: all
Breaks: myspell-de-de-oldspell (<< 1:2-31~), openoffice.org (<= 1.0.3-2)
Replaces: myspell-de-de-oldspell (<< 1:2-31~)
Depends: dictionaries-common, ${misc:Depends}
Suggests: libreoffice-writer
Provides: myspell-dictionary, myspell-dictionary-de
Multi-Arch: foreign
Description: Traditional German dictionary for myspell
 This is the German (Germany) dictionary for use with the myspell and
 hunspell spellchecker.
 .
 This dictionary refers to the traditional German orthography
 (de-DE-1901).  For the current orthography (de-DE-1996) see packages
 myspell-de-de or hunspell-de-de.

Package: aspell-de-1901
Architecture: all
Depends: ${aspell:Depends}, ${misc:Depends}
Provides: aspell-dictionary
Breaks: aspell-de (<< 0.60-20030222-1-3), aspell-de-alt (<< 1:2-31~)
Replaces: aspell-de-alt (<< 1:2-31~)
Description: Traditional German dictionary for aspell
 This package contains German dictionaries for the aspell spell
 checker.
 .
 Dictionaries included are de_DE-1901 (de-1901/deutsch-alt/german-old)
 and de_CH-1901, all using the traditional German orthography.  For
 the current orthography (de_DE-1996) see package aspell-de.
